VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Bindings::StubConfiguration Class Reference

## Avaliable Methods
public method | get_security_context ()
public method | register_error_types ()
public method | new ()
public method | get_error_types ()
public method | set_security_context ()

## Detailed Description

This is a helper class for creating stub configurations.

## Member Function Documentation

public method Com::Vmware::Vapi::Bindings::StubConfiguration::get_error_types | ( |  | ) |

Sets the security context that will be used in the stub

Parameters

  None |

Return values

  registered_error_types | Code: click to view # Number of lines of code in get_error_types: 4 sub get_error_types { my ( $self, %args ) = @_; return $self->{registered_error_types}; }

public method Com::Vmware::Vapi::Bindings::StubConfiguration::get_security_context | ( |  | ) |

Get the security context used in the stub

Parameters

  None |

Return values

  SecurityContext | Code: click to view # Number of lines of code in get_security_context: 4 sub get_security_context { my ( $self, %args ) = @_; return $self->{security_context}; }

public method Com::Vmware::Vapi::Bindings::StubConfiguration::new | ( |  | ) |

Constructor

Parameters

  None |

Return values

  Blessed object | Code: click to view # Number of lines of code in new: 6 sub new { my ( $class, %args ) = @_; my $self = {}; return bless( $self, $class ); }

public method Com::Vmware::Vapi::Bindings::StubConfiguration::register_error_types | ( |  | ) |

Registers a list of ErrorType to be used by the configured stub for resolving VMODL2 errors received as result of a method invocation. The types for all standard VMODL2 errors are registered and resolvable by default. This method is useful for registration of additional types for custom errors.

Parameters

  registered_error_types | - Errors types to register

Return values

  None | Code: click to view # Number of lines of code in register_error_types: 4 sub register_error_types { my ( $self, %args ) = @_; $self->{registered_error_types} = $args{'registered_error_types'}; }

public method Com::Vmware::Vapi::Bindings::StubConfiguration::set_security_context | ( |  | ) |

Sets the security context that will be used in the stub

Parameters

  security_context | - Com::Vmware::Vapi::Core::SecurityContext object

Return values

  None | Code: click to view # Number of lines of code in set_security_context: 4 sub set_security_context { my ( $self, %args ) = @_; $self->{security_context} = $args{'security_context'}; }

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Bindings/StubConfiguration.pm